.form-group {
  background-color: $color-white;
  border: 1px solid $color-light-grey;
  margin-bottom: -1px;
  overflow: hidden;
  box-shadow: 0 1px 1px $color-white;

  &:first-child {
    border-top-left-radius: 0.5rem;
    border-top-right-radius: 0.5rem;
  }
  &:last-child {
    border-top-color: transparent;
    border-bottom-left-radius: 0.5rem;
    border-bottom-right-radius: 0.5rem;
    margin-bottom: $base-vert-padd;
  }
  &__header {
    background-color: $color-blue;
    border-bottom: 1px solid $color-light-grey;
    padding: $base-vert-padd $base-horiz-padd;
    line-height: 1.2;
  }
  &__title {
    color: $color-white;
    font-size: $font-size-main;
    font-weight: 600;

    @include mobile {
      font-size: $font-size-main-mob;
    }
  }
  &__content {
    padding: $base-vert-padd #{$base-horiz-padd / 2} 0;
  }
  &__footer {
    padding: 0 #{$base-horiz-padd / 2} $base-horiz-padd;
  }
  &__row {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;

    @include devices-only {
      flex-direction: column;
    }

    .mat-form-field {
      width: 100%;
    }
  }
  &__column {
    padding-right: #{$base-horiz-padd / 2};
    padding-left: #{$base-horiz-padd / 2};

    .form-group__row {
      margin-left: -#{$base-horiz-padd / 2};
      margin-right: -#{$base-horiz-padd / 2};
    }
    @include desktop-only {
      flex-basis: 50%;
    }
    @include devices-only {
      flex-basis: 100%;
    }
  }
  &__btn-group {
    display: flex;
    justify-content: center;
    padding-bottom: 0.4rem;

    .mat-raised-button + .mat-raised-button {
      margin-left: $base-horiz-padd;
    }
    @include mobile {
      flex-direction: column;

      .mat-raised-button + .mat-raised-button {
        margin-left: 0;
        margin-top: $base-horiz-padd;
      }
    }
  }
  &__remove-item {
    padding-bottom: $base-vert-padd;
    text-align: right;

    .mat-raised-button {
      line-height: 3.4rem !important;
      margin-top: -$base-vert-padd;
      padding: 0 $base-horiz-padd;
    }
  }
  &__add-contact-text {
    flex-grow: 1;
    text-align: center;
    padding: $base-vert-padd 0 #{$base-vert-padd * 2};
  }
}
